=== debian/changelog ===
pandas (1.3.5+dfsg-5) unstable; urgency=medium

  * Fix FTBFS with Sphinx 5.  (Closes: #1013375)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 26 Jun 2022 15:06:07 +0100

pandas (1.3.5+dfsg-4) unstable; urgency=medium

  * Temporarily skip numba tests.  (Closes: #1008179)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 25 Mar 2022 20:57:26 +0000

pandas (1.3.5+dfsg-3) unstable; urgency=medium

  * Tests: be compatible with new fsspec.  (Closes: #1006170)
  * Re-enable numba tests.
  * Fix pyversions call.
  * Enable Salsa CI.
  * Update Lintian overrides.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 21 Feb 2022 07:35:51 +0000

pandas (1.3.5+dfsg-2) unstable; urgency=medium

  * Temporarily skip numba tests (see LP#1951814).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 28 Jan 2022 19:22:53 +0000

pandas (1.3.5+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Update contributors_list.
  * Refresh patches, drop patches no longer needed.
  * d/watch: Ignore RC versions.
  * Docs: Add missing mathjax dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 11 Jan 2022 21:25:17 +0000

pandas (1.3.4+dfsg-7) unstable; urgency=medium

  * Team upload.
  * Disable more numba tests on 32bit archs

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 02 Dec 2021 17:32:54 +0100

pandas (1.3.4+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Fix an other import in the test patch
  * Add closes bug to old changelog

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 Dec 2021 10:36:56 +0100

pandas (1.3.4+dfsg-5) unstable; urgency=medium

  * Team upload.
  * Fix missing import
  * Remove unused salsa-ci.yml

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 30 Nov 2021 23:39:49 +0100

pandas (1.3.4+dfsg-4) unstable; urgency=medium

  * Tests: remove another 64 bit assumption.
  * Warn the user and ignore all tests on mips*.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 30 Nov 2021 10:11:08 +0000

pandas (1.3.4+dfsg-3) unstable; urgency=medium

  * Tests: remove some more 64 bit or x86-or-arm64 assumptions.
  * Docs: add missing MathJax.js symlink, remove unused URL replacement.
  * Add transition Breaks (see #999415).
  * Upload to unstable.  (Closes: #999415)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 29 Nov 2021 21:59:11 +0000

pandas (1.3.4+dfsg-2) experimental; urgency=medium

  * Stop ignoring build-time tests.
  * Tests: don't assume 64 bit or x86-or-arm64.
  * Fix #877754 warning.
  * Xfail more numba tests on big-endian systems.
  * Skip test_statsmodels during build to break dependency cycle.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 25 Nov 2021 22:04:47 +0000

pandas (1.3.4+dfsg-1) experimental; urgency=medium

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version (Closes: #1000422)
  * Standards-Version: 4.6.0 (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse,
    Security-Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).
  * Apply multi-arch hints.
    + python-pandas-doc: Add Multi-Arch: foreign.
  * Remove hidden files and directories that are confusing gbp
  * drop tag definitions from debian/gbp.conf

  [ Rebecca N. Palmer ]
  * Upload to experimental (see #999415).
  * Update contributors_list and d/copyright.
  * Refresh patches, remove no longer needed patches.
  * Update minimum dependency versions.
  * Re-enable xlrd and numba tests (#976620 and #972246 have ben fixed).
  * Temporarily disable failing style.ipynb build.
  * Tests: accept changed error messages, add new dependency,
    skip/xfail tests that our test setup breaks, clean up afterwards.
  * Temporarily ignore build-time tests to get a first build.
  * Be compatible with matplotlib 3.5.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Nov 2021 21:04:26 +0000
