## pandas 1.5.2+dfsg

=== debian/changelog ===
pandas (1.5.2+dfsg-1) experimental; urgency=medium

  * Upstream bugfix release.  Update contributors_list.
  * Fix Lintian typo.
  * Xfail parso-using tests (workaround for #1023896).
  * Temporarily drop numba test-depends (skips tests),
    as it is uninstallable due to #1024795.
  * Add transition Breaks (see #1022571).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 30 Nov 2022 21:48:47 +0000

pandas (1.3.5+dfsg-6) unstable; urgency=medium

  * Team upload
  * Ignore test failures for first build with Python 3.11,
    see #1023965

 -- Graham Inggs <ginggs@debian.org>  Sun, 13 Nov 2022 10:36:51 +0000

pandas (1.5.1+dfsg-3) experimental; urgency=medium

  * Revert minimum Cython version.
  * Tests: fix another little-endian assumption.
  * Silence some Lintian messages.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 10 Nov 2022 21:36:53 +0000

pandas (1.5.1+dfsg-2) experimental; urgency=medium

  * Tests: xfail rolling.var/std rounding error on i386,
    don't assume little-endian,
    re-disable some SQL tests our setup blocks.
  * Temporarily lower minimum Cython version (see LP#1995992).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 09 Nov 2022 21:17:44 +0000

pandas (1.5.1+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright and patches.
  * Include more of the optional test-depends, for more test coverage.
  * Update minimum dependency versions.
  * Docs: update Sphinx extension dependencies,
    use pydata theme but disable analytics (for privacy) and
    features requiring dependencies we don't have.
  * Tests: use the upstream mechanism to skip non-CI-friendly
    (e.g. excessively resource-heavy) tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 07 Nov 2022 21:02:49 +0000

pandas (1.4.3+dfsg-6) experimental; urgency=medium

  * Fix NaT bug introduced by previous patch.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 24 Aug 2022 22:01:26 +0100

pandas (1.4.3+dfsg-5) experimental; urgency=medium

  * Fix bounds checking in float-to-datetime conversion.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 23 Aug 2022 22:24:15 +0100

pandas (1.4.3+dfsg-4) experimental; urgency=medium

  * Tests: skip another s390x numba issue, new riscv64 date error test.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 22 Aug 2022 22:25:08 +0100

pandas (1.4.3+dfsg-3) experimental; urgency=medium

  * Don't warn on non-x86 NaN->datetime cast,
    as this has been fixed in numpy (#877754).
  * Tests: fix architecture detection, skip another s390x numba crash,
    extend hurd_compat.patch, more output around riscv64 date errors.
  * Add transition Breaks (see #1017809).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 21 Aug 2022 18:13:03 +0100

pandas (1.4.3+dfsg-2) experimental; urgency=medium

  * Tests: don't assume little-endian,
    don't try to cast pytz version to float,
    ignore a missing numpy warning on armel.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 20 Aug 2022 10:32:58 +0100

pandas (1.4.3+dfsg-1) experimental; urgency=medium

  * New upstream release.  Update copyright and patches.
  * Upload to experimental, due to potential breakage.
  * Remove xlwt Recommends.
  * Update build/test-Depends.
  * Re-enable numba (see #1000336).
  * Update README.source.
  * Update Lintian override format (see #1007002).
  * Tests: add a searchable failure message to crashes/errors,
    be less verbose so the log fits in the Salsa CI size limit,
    remove a now-useless xlrd test, xfail some tests on 32-bit.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Show the numba non-x86 warning on more (all?) numba uses.
  * Drop stable_test_urls.patch.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 27 Jul 2022 22:17:33 +0100
