=== debian/control ===
--- 
+++ 
@@ -9,43 +9,55 @@
                dh-python,
                locales-all,
                python3-all-dev,
-               cython3 (>= 0.29.24~),
-               python3-bottleneck <!nocheck> <!nodoc>,
-               python3-bs4 <!nocheck> <!nodoc>,
+               cython3 (>= 0.29.32~),
+# we don't have this version               python3-blosc (>= 1.21.0~) <!nocheck> <!nodoc>,
+               python3-bottleneck (>= 1.3.2~) <!nocheck> <!nodoc>,
+               python3-bs4 (>= 4.9.3~) <!nocheck> <!nodoc>,
                python3-dask (>= 2.10.1~) <!nocheck> <!nodoc>,
                python3-dateutil,
-               python3-html5lib <!nocheck> <!nodoc>,
-               python3-hypothesis <!nocheck> <!nodoc>,
-               python3-jinja2 <!nocheck> <!nodoc>,
-               python3-lxml <!nocheck> <!nodoc>,
-               python3-matplotlib [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
+               python3-fsspec (>= 2021.07.0~) <!nocheck> <!nodoc>,
+               python3-html5lib (>= 1.1~) <!nocheck> <!nodoc>,
+               python3-hypothesis (>= 6.13.0~) <!nocheck> <!nodoc>,
+               python3-jinja2 (>= 3.0~) <!nocheck> <!nodoc>,
+               python3-lxml (>= 4.6.3~) <!nocheck> <!nodoc>,
+               python3-matplotlib (>= 3.3.2~) [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
 # armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-# #1000336               python3-numba (>= 0.46.0~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
-               python3-numexpr (>= 2.7~) <!nocheck> <!nodoc>,
-               python3-numpy,
-               python3-odf <!nocheck> <!nodoc>,
-               python3-openpyxl <!nocheck> <!nodoc>,
+# uninstallable due to #1024795               python3-numba (>= 0.53.1~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
+               python3-numexpr (>= 2.8.0~) <!nocheck> <!nodoc>,
+               python3-numpy (>= 1:1.18.5~),
+               python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
+               python3-openpyxl (>= 3.0.7~) <!nocheck> <!nodoc>,
+# doesn't seem to work in this test environment               python3-psycopg2 (>= 2.8.6~) <!nocheck> <!nodoc>,
+# doesn't seem to work in this test environment               python3-pymysql (>= 1.0.2~) <!nocheck> <!nodoc>,
                python3-pytest (>= 6.0~) <!nocheck> <!nodoc>,
-               python3-pytest-asyncio <!nocheck> <!nodoc>,
+               python3-pytest-asyncio (>= 0.17~) <!nocheck> <!nodoc>,
                python3-pytest-forked <!nocheck> <!nodoc>,
-               python3-pytest-xdist <!nocheck> <!nodoc>,
+               python3-pytest-xdist (>= 1.31~) <!nocheck> <!nodoc>,
                python3-scipy,
-               python3-setuptools,
+               python3-setuptools (>= 51~),
                python3-six,
-               python3-tables <!nocheck> <!nodoc>,
-               python3-tabulate (>= 0.8.3~) <!nocheck> <!nodoc>,
+# we don't have this version               python3-snappy (>= 0.6.0~) <!nocheck> <!nodoc>,
+               python3-sqlalchemy (>= 1.4.16~) <!nocheck> <!nodoc>,
+               python3-tables (>= 3.6.1~) <!nocheck> <!nodoc>,
+               python3-tabulate (>= 0.8.9~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
-               python3-tz <!nocheck> <!nodoc>,
-               python3-xlrd <!nocheck> <!nodoc>,
-               python3-xlsxwriter <!nocheck> <!nodoc>,
-               python3-xlwt <!nocheck> <!nodoc>,
+               python3-tz (>= 2022.1~) <!nocheck> <!nodoc>,
+               python3-xarray (>= 0.19.0~) <!nocheck> <!nodoc>,
+# we don't have this version               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
+               python3-xlsxwriter (>= 1.4.3~) <!nocheck> <!nodoc>,
+# having xlwt and not xlrd breaks tests/io/test_fsspec.py               python3-xlwt (>= 1.3.0~) <!nocheck> <!nodoc>,
+               python3-zstandard <!nocheck> <!nodoc>,
                sphinx-common,
                xvfb <!nocheck>,
                xauth <!nocheck>,
                xclip <!nocheck>
 Build-Depends-Indep: python3-sphinx <!nodoc>,
+                     python3-sphinx-copybutton <!nodoc>,
+                     python3-sphinx-panels <!nodoc>,
+                     python3-pydata-sphinx-theme <!nodoc>,
                      python3-ipykernel <!nodoc>,
-                     python3-nbconvert (>= 5.4.1~) <!nodoc>,
+                     python3-notebook (>= 6.0.3~) <!nodoc>,
+                     python3-nbconvert (>= 6.4.5~) <!nodoc>,
                      python3-nbsphinx <!nodoc>,
                      python3-numpydoc <!nodoc>,
                      ipython3 (>= 7.11.1~) <!nodoc>,
@@ -67,7 +79,7 @@
                      python3-sqlalchemy <!nodoc>,
                      python3-statsmodels <!nodoc>,
                      python3-xarray <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
@@ -93,8 +105,6 @@
 # for spreadsheet I/O
             python3-odf,
             python3-openpyxl,
-# broken - #976620            python3-xlrd,
-            python3-xlwt,
 # for HTML table I/O
             python3-bs4,
             python3-html5lib,
@@ -110,7 +120,6 @@
         cnvkit (<< 0.9.6-2~),
 # 0.25 -> 1.0 API breaks, #950430
         python3-biom-format (<< 2.1.8+dfsg-3.1~),
-        python3-statsmodels (<< 0.11.0~),
         python3-seaborn (<< 0.9.1~),
 # 1.0 -> 1.1 API breaks, #969650
         python3-dask (<< 2.11.0+dfsg-1.1~),
@@ -118,7 +127,13 @@
         python3-cfgrib (<= 0.9.9-1),
         python3-joypy (<= 0.2.2-2),
         python3-cooler (<= 0.8.8-1),
-        python3-skbio (<= 0.5.6-5)
+# 1.3 -> 1.4 API breaks, see #1017809
+        python3-skbio (<= 0.5.6-6),
+        python3-ulmo (<= 0.8.8+dfsg1-1),
+# 1.4 -> 1.5 API breaks, see #1022571
+        python3-emperor (<= 1.0.3+ds-4),
+        python3-statsmodels (<< 0.13.5~),
+        q2templates (<= 2022.8.0+ds-1)
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or
