## pandas 1.5.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -42,7 +42,6 @@
                python3-tabulate (>= 0.8.9~) <!nocheck> <!nodoc>,
                python3-tk <!nocheck> <!nodoc>,
                python3-tz (>= 2022.1~) <!nocheck> <!nodoc>,
-               python3-xarray (>= 0.19.0~) <!nocheck> <!nodoc>,
 # we don't have this version               python3-xlrd (>= 2.0.1~) <!nocheck> <!nodoc>,
                python3-xlsxwriter (>= 1.4.3~) <!nocheck> <!nodoc>,
 # having xlwt and not xlrd breaks tests/io/test_fsspec.py               python3-xlwt (>= 1.3.0~) <!nocheck> <!nodoc>,
@@ -63,23 +62,23 @@
                      ipython3 (>= 7.11.1~) <!nodoc>,
                      jdupes <!nodoc>,
 # for style.ipynb
-#fails with KeyError 'state'                     pandoc <!nodoc>,
+                     pandoc <!nodoc>,
 # for intersphinx inventories
                      python3-doc <!nodoc>,
-                     python-numpy-doc <!nodoc>,
+# no longer exists                     python-numpy-doc <!nodoc>,
                      python-scipy-doc <!nodoc>,
-                     python-matplotlib-doc <!nodoc>,
+# no longer exists                     python-matplotlib-doc <!nodoc>,
                      python-statsmodels-doc <!nodoc>,
 # these are for not having (as many) exception messages in documentation examples
 # so may be temporarily removed if they are broken or to break bootstrap cycles
 # not in Debian (not to be confused with python3-arrow) python3-pyarrow <!nodoc>,
-                     python3-ipywidgets <!nodoc>,
+#fails with KeyError 'state', possibly nbconvert bug 1731                     python3-ipywidgets <!nodoc>,
                      python3-rpy2 <!nodoc>,
                      python3-seaborn <!nodoc>,
                      python3-sqlalchemy <!nodoc>,
                      python3-statsmodels <!nodoc>,
-                     python3-xarray <!nodoc>
-Standards-Version: 4.6.1
+                     python3-xarray (>= 0.19.0~) <!nodoc>,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/pandas
 Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 Homepage: https://pandas.pydata.org/
@@ -122,7 +121,6 @@
         python3-biom-format (<< 2.1.8+dfsg-3.1~),
         python3-seaborn (<< 0.9.1~),
 # 1.0 -> 1.1 API breaks, #969650
-        python3-dask (<< 2.11.0+dfsg-1.1~),
 # 1.1 -> 1.3 API breaks, see #999415
         python3-cfgrib (<= 0.9.9-1),
         python3-joypy (<= 0.2.2-2),
@@ -133,7 +131,8 @@
 # 1.4 -> 1.5 API breaks, see #1022571
         python3-emperor (<= 1.0.3+ds-4),
         python3-statsmodels (<< 0.13.5~),
-        q2templates (<= 2022.8.0+ds-1)
+        q2templates (<= 2022.8.0+ds-1),
+        python3-dask (<= 2022.02.0+dfsg-2)
 Description: data structures for "relational" or "labeled" data
  pandas is a Python package providing fast, flexible, and expressive
  data structures designed to make working with "relational" or
