=== debian/changelog ===
pandas (1.5.3+dfsg-6) unstable; urgency=medium

  * Disable numba tests on non-x86 (workaround for #1033907).
    Using numba on such systems already warns the user.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 19 Aug 2023 20:51:27 +0100

pandas (1.5.3+dfsg-5) unstable; urgency=medium

  * Backport the following from experimental:
    - Don't use numexpr for **, as it has different overflow behaviour.
    - Tests: don't use : in numexpr variable names.
    - Use tzdata-legacy where old-style timezone names are used.
    - Clean up after tests.
    - Tests: re-enable numba tests.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Thu, 17 Aug 2023 20:11:19 +0100

pandas (1.5.3+dfsg-4) unstable; urgency=medium

  * Docs: allow building with Sphinx 7.  (Closes: #1042672)
  * Remove unused python3-six dependencies.  (Closes: #1039441)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 30 Jul 2023 22:34:06 +0100

pandas (1.5.3+dfsg-3) unstable; urgency=medium

  * Tests: don't fail with fsspec 2023.  (Closes: #1042043)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 26 Jul 2023 07:57:11 +0100

pandas (1.5.3+dfsg-2) unstable; urgency=medium

  * Tests: use a non-backzone timezone.  (Closes: #1031437)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 19 Feb 2023 11:01:48 +0000

pandas (1.5.3+dfsg-1) unstable; urgency=medium

  * Upstream bugfix release.  Update copyright and patches.
  * Tests: ignore plot rounding errors.  (Closes: #1029251)
  * Tests: re-enable dask test, ignore numpy 1.24 warning.
  * Docs: re-enable style.ipynb.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sun, 22 Jan 2023 11:54:30 +0000

pandas (1.5.2+dfsg-6) unstable; urgency=medium

  * Move xarray to Build-Depends-Indep to break circular dependency.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Wed, 11 Jan 2023 07:34:28 +0000

pandas (1.5.2+dfsg-5) unstable; urgency=medium

  * Fix or ignore warnings from numpy 1.24.
  * Stop ignoring tests on mips*, thanks to Adrian Bunk.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Tue, 10 Jan 2023 20:48:34 +0000

pandas (1.5.2+dfsg-4) unstable; urgency=medium

  * Add dask transition Breaks (see #1025393).
  * Don't try to load intersphinx links from python-numpy-doc,
    as it no longer exists.
  * Upload to unstable.  (Closes: #1023965, #1022571)

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Mon, 09 Jan 2023 19:45:45 +0000

pandas (1.5.2+dfsg-3) experimental; urgency=medium

  * Tests: ignore a numpy warning.

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Sat, 07 Jan 2023 10:09:11 +0000

pandas (1.5.2+dfsg-2) experimental; urgency=medium

  * Fix date_range overflow in 32-bit.  (Closes: #1026351)
  * Don't try to load intersphinx links from python-matplotlib-doc,
    as it no longer exists.  (Closes: #1027576)
  * Re-enable parso-using tests (as #1023896 has been fixed).
  * Bump Standards-Version to 4.6.2 (no changes needed).

 -- Rebecca N. Palmer <rebecca_palmer@zoho.com>  Fri, 06 Jan 2023 21:36:03 +0000
