=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
                python3-jinja2 (>= 3.0~) <!nocheck> <!nodoc>,
                python3-lxml (>= 4.6.3~) <!nocheck> <!nodoc>,
                python3-matplotlib (>= 3.3.2~) [!ia64 !sh4 !x32] <!nocheck> <!nodoc>,
-# armel, s390x numba crash, mipsel gives wrong answer, most ports don't have numba
-# uninstallable due to #1024795               python3-numba (>= 0.53.1~) [amd64 arm64 armhf i386 mips64el mipsel ppc64el s390x] <!nocheck> <!nodoc>,
+# numba may crash on non-x86 (#1033907)
+               python3-numba (>= 0.53.1~) [amd64 i386] <!nocheck> <!nodoc>,
                python3-numexpr (>= 2.8.0~) <!nocheck> <!nodoc>,
                python3-numpy (>= 1:1.18.5~),
                python3-odf (>= 1.4.1~) <!nocheck> <!nodoc>,
@@ -35,7 +35,6 @@
                python3-pytest-xdist (>= 1.31~) <!nocheck> <!nodoc>,
                python3-scipy,
                python3-setuptools (>= 51~),
-               python3-six,
 # we don't have this version               python3-snappy (>= 0.6.0~) <!nocheck> <!nodoc>,
                python3-sqlalchemy (>= 1.4.16~) <!nocheck> <!nodoc>,
                python3-tables (>= 3.6.1~) <!nocheck> <!nodoc>,
@@ -47,6 +46,8 @@
 # having xlwt and not xlrd breaks tests/io/test_fsspec.py               python3-xlwt (>= 1.3.0~) <!nocheck> <!nodoc>,
                python3-zstandard <!nocheck> <!nodoc>,
                sphinx-common,
+# for tests/examples that use old-style timezone names
+               tzdata-legacy <!nocheck> <!nodoc>,
                xvfb <!nocheck>,
                xauth <!nocheck>,
                xclip <!nocheck>
@@ -92,8 +93,7 @@
          python3-dateutil,
          python3-pandas-lib (>= ${source:Upstream-Version}),
 # should maybe have a python3-pandas-lib (<< ${source:Upstream-Version}.0), as well, but that leaves arch:all BD-Uninstallable if arch:amd64 builds first
-         python3-pkg-resources,
-         python3-six
+         python3-pkg-resources
 Recommends: python3-scipy,
             python3-matplotlib,
             python3-tz,
