=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 # Split up the test suite to avoid running out of memory, use xvfb for plot tests, run but ignore potentially crashing tests; test_register_entrypoint expects an installed package, test_wrong_url needs internet, test_statsmodels is a circular dependency when adding a new Python version
 # The echo-random-characters is to allow searching for fails that don't show the usual test failure message i.e. crashes/errors
 # -v makes the log too long for salsa-ci
-export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do PANDAS_CI=1 LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; PANDAS_CI=1 LOCALE_OVERRIDE=C {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" --forked --runxfail --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files {build_dir}/pandas/tests/groupby/test_numba.py {build_dir}/pandas/tests/groupby/test_timegrouper.py {build_dir}/pandas/tests/groupby/transform/test_numba.py {build_dir}/pandas/tests/groupby/aggregate/test_numba.py {build_dir}/pandas/tests/window/test_numba.py {build_dir}/pandas/tests/window/test_apply.py {build_dir}/pandas/tests/window/test_online.py {build_dir}/pandas/tests/window/moments/test_moments_consistency_expanding.py || true ; rm -f test-data.xml ; $$TEST_SUCCESS
+export PYBUILD_TEST_ARGS=TEST_SUCCESS=true; cd {build_dir} ; for TEST_SUBSET in {build_dir}/pandas/tests/* ; do PANDAS_CI=1 LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" -k "not test_register_entrypoint and not test_wrong_url and not test_statsmodels" --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files $$TEST_SUBSET || test $$? = 5 || TEST_SUCCESS=false && echo "rdjoqkol test state = $$TEST_SUCCESS"; done ; PANDAS_CI=1 LOCALE_OVERRIDE=C {interpreter} -m pytest -s -m "$(PYTEST_MARKER)" --forked --runxfail --confcutdir={build_dir}/pandas --deb-data-root-dir={dir}/pandas/tests --strict-data-files {build_dir}/pandas/tests/groupby/test_numba.py {build_dir}/pandas/tests/groupby/test_timegrouper.py {build_dir}/pandas/tests/groupby/transform/test_numba.py {build_dir}/pandas/tests/groupby/aggregate/test_numba.py {build_dir}/pandas/tests/window/test_numba.py {build_dir}/pandas/tests/window/test_apply.py {build_dir}/pandas/tests/window/test_online.py {build_dir}/pandas/tests/window/moments/test_moments_consistency_expanding.py || true ; rm -rf test-data.xml .pytest_cache ; $$TEST_SUCCESS
 
 export PYBUILD_EXT_DESTDIR=debian/python3-pandas-lib
 export PYBUILD_DESTDIR=debian/python3-pandas
@@ -113,7 +113,5 @@
 # see PYBUILD_TEST_ARGS above
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	python3 $(CURDIR)/debian/datetime_testscript.py || true
-	PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER)/build python3 $(CURDIR)/debian/datetime_testscript.py || true
-	PYBUILD_SYSTEM=custom dh_auto_test || [ `dpkg --print-architecture` = mips64el ] || [ `dpkg --print-architecture` = mipsel ]
+	PYBUILD_SYSTEM=custom dh_auto_test
 endif
